pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkgin 0.5.1 now available in pkgsrc

iMil <> writes:

> I am pleased to announce the release of the newest pkgin branch to pkgsrc. 
> pkgin 0.5.1 is available in pkgtools/pkgin, and as always, feedback and 
> reports are greatly appreciated.

Well, I decided to try pkgin, but the version I get is pkgin-0.4.3.
I installed it with "pkg_add pkgin"; the version in /usr/pkgsrc is
also 0.4.3 after running "cvs update -r pkgsrc-2011Q3".

My /usr/pkg/etc/pkgin/repositories.conf is pointing at
but it seems that the above directory doesn't contain pkg_summary.gz;
this causes a warning when I "pkgin update".

Also, at, /pub/pkgsrc/packages/NetBSD/i386/5.1 points
at 5.1_2011Q1 instead of 5.1_2011Q3, despite the fact that 4.0 and
5.0 each point at a "2011Q3" directory.

Am I doing something wrong, or is there a problem with the pkg
file hierarchy at the NetBSD end?

Finally, as a simple test, I decided to try to upgrade xpdf
(originally installed from a previous quaterly release of pkgsrc),
but pkgin wants to remove inkscape, which is supposed to be kept:

    # pkgin install xpdf
    calculating dependencies... done.

    2 packages to be upgraded: xpdf-3.02pl4nb4 poppler-0.16.3

    3 packages to be removed: inkscape-0.48.1nb3 tex-pst-3dplot-1.94 

    2 packages to be installed: poppler-0.16.7 xpdf-3.03 (2006K to download, 
5627K to install)

    proceed ? [y/N] n

    # pkgin show-keep | grep inkscape
    inkscape-0.48.1nb3 is marked as non-autoremovable

Colour me very, very confused.  :-(

Ms. Anne Bennett, as a private citizen:
Also reachable more officially at work:

Home | Main Index | Thread Index | Old Index